package org.xbib.jdbc.query;

/**
 * Indicates that a configuration value is present but not in a usable format.
 * For example, if the value must be an integer and the configuration value
 * is a non-numeric string.
 */
@SuppressWarnings("serial")
public class ConfigInvalidException extends DatabaseException {

    public ConfigInvalidException(String message) {
        super(message);
    }

    public ConfigInvalidException(Throwable cause) {
        super(cause);
    }

    public ConfigInvalidException(String message, Throwable cause) {
        super(message, cause);
    }
}
