package org.xbib.jdbc.query.util;

import java.io.StringReader;

/**
 * This class exists to distinguish cases where we are mapping String to Reader
 * internally, but want to be able to know they really started as a String (and
 * be able to get the String back for things like logging).
 */
public final class InternalStringReader extends StringReader {
    private final String s;

    public InternalStringReader(String s) {
        super(s);
        this.s = s;
    }

    public String getString() {
        return s;
    }
}
