package org.xbib.jdbc.query.test;

import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;
import org.testcontainers.containers.OracleContainer;
import org.testcontainers.junit.jupiter.Container;
import org.xbib.jdbc.query.DatabaseProvider;
import org.xbib.jdbc.query.OptionsOverride;

import java.io.FileReader;
import java.util.Properties;

/**
 * Exercise Database functionality with a real Oracle database.
 */
@Disabled
public class OracleTest extends CommonTest {

    @Container
    public OracleContainer oracleContainer = new OracleContainer("");

    @Override
    protected DatabaseProvider createDatabaseProvider(OptionsOverride options) throws Exception {
        Properties properties = new Properties();
        properties.load(new FileReader(System.getProperty("local.properties", "local.properties")));
        return DatabaseProvider.fromDriverManager(
                properties.getProperty("database.url"),
                properties.getProperty("database.user"),
                properties.getProperty("database.password")
        ).withSqlParameterLogging().withSqlInExceptionMessages().withOptions(options).create();
    }

    @Disabled("Current Oracle behavior is to convert -0f to 0f")
    @Test
    public void argFloatNegativeZero() {
        super.argFloatNegativeZero();
    }

    @Disabled("Current Oracle behavior is to convert -0d to 0d")
    @Test
    public void argDoubleNegativeZero() {
        super.argDoubleNegativeZero();
    }
}
