package org.xbib.jdbc.query.test;

import java.io.IOException;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;
import org.xbib.jdbc.query.DatabaseProvider;
import org.xbib.jdbc.query.OptionsOverride;
import org.xbib.jdbc.query.Schema;

import java.io.FileReader;
import java.util.Properties;

import static org.junit.jupiter.api.Assertions.assertArrayEquals;

/**
 * Exercise Database functionality with a real PostgreSQL database.
 */
@Disabled
public class PostgreSqlTest extends CommonTest {

    @Override
    protected DatabaseProvider createDatabaseProvider(OptionsOverride options) throws IOException {
        Properties properties = new Properties();
        properties.load(new FileReader(System.getProperty("local.properties", "local.properties")));
        return DatabaseProvider.fromDriverManager(
                properties.getProperty("postgres.database.url"),
                properties.getProperty("postgres.database.user"),
                properties.getProperty("postgres.database.password")
        ).withOptions(options).withSqlParameterLogging().withSqlInExceptionMessages().create();
    }

    /**
     * PostgreSQL seems to have different behavior in that is does not convert
     * column names to uppercase (it actually converts them to lowercase).
     * I haven't figured out how to smooth over this difference, since all databases
     * seem to respect the provided case when it is inside quotes, but don't provide
     * a way to tell whether a particular parameter was quoted.
     */
    @Override
    @Test
    public void metadataColumnNames() {
        db.dropTableQuietly("dbtest");

        new Schema().addTable("dbtest").addColumn("pk").primaryKey().schema().execute(db);

        db.toSelect("select Pk, Pk as Foo, Pk as \"Foo\" from dbtest")
                .query(rs -> {
                    assertArrayEquals(new String[]{"pk", "foo", "Foo"}, rs.getColumnLabels());
                    return null;
                });
    }
}
