package org.xbib.jdbc.query.test;

import org.junit.jupiter.api.Test;
import org.xbib.jdbc.query.SqlArgs;

import static org.junit.jupiter.api.Assertions.assertArrayEquals;

/**
 * Unit tests for the SqlArgs class.
 */
public class SqlArgsTest {

    @Test
    public void testTidyColumnNames() {
        assertArrayEquals(new String[]{"column_1", "column_2", "a", "a_2", "a_3", "a1"},
                SqlArgs.tidyColumnNames(new String[]{null, "", " a ", "a  ", "#!@#$_a", "#!@#$_1"}));

        check("TheBest", "the_best");
    }

    private void check(String input, String output) {
        assertArrayEquals(new String[]{output}, SqlArgs.tidyColumnNames(new String[]{input}));
    }
}
