package org.xbib.jdbc.query.test;

import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;
import org.xbib.jdbc.query.Config;
import org.xbib.jdbc.query.ConfigFrom;
import org.xbib.jdbc.query.DatabaseProvider;
import org.xbib.jdbc.query.OptionsOverride;
import org.xbib.jdbc.query.Schema;

import static org.junit.jupiter.api.Assertions.assertArrayEquals;

/**
 * Exercise Database functionality with a real SQL server database.
 */
@Disabled
public class SqlServerTest extends CommonTest {
    @Override
    protected DatabaseProvider createDatabaseProvider(OptionsOverride options) throws Exception {
        String propertiesFile = System.getProperty("local.properties", "local.properties");
        Config config = ConfigFrom.firstOf()
                .systemProperties()
                .propertyFile(propertiesFile)
                .excludePrefix("database.")
                .removePrefix("sqlserver.").get();
        return DatabaseProvider.fromDriverManager(config)
                .withSqlParameterLogging()
                .withSqlInExceptionMessages()
                .withOptions(options).create();
    }

    @Disabled("SQL Server prohibits NaN and Infinity")
    @Test
    public void argFloatNaN() {
        super.argFloatNaN();
    }

    @Disabled("SQL Server prohibits NaN and Infinity")
    @Test
    public void argFloatInfinity() {
        super.argFloatInfinity();
    }

    @Disabled("SQL Server prohibits NaN and Infinity")
    @Test
    public void argDoubleNaN() {
        super.argDoubleNaN();
    }

    @Disabled("SQL Server prohibits NaN and Infinity")
    @Test
    public void argDoubleInfinity() {
        super.argDoubleInfinity();
    }

    @Disabled("SQL Server seems to have incorrect min value for float (rounds to zero)")
    @Test
    public void argFloatMinMax() {
        super.argFloatMinMax();
    }

    @Disabled("SQL Server doesn't support the interval syntax for date arithmetic")
    @Test
    public void intervals() {
        super.intervals();
    }

    /**
     * SQL Server seems to have different behavior in that is does not convert
     * column names to uppercase (it preserves the case).
     * I haven't figured out how to smooth over this difference, since all databases
     * seem to respect the provided case when it is inside quotes, but don't provide
     * a way to tell whether a particular parameter was quoted.
     */
    @Override
    @Test
    public void metadataColumnNames() {
        db.dropTableQuietly("dbtest");

        new Schema().addTable("dbtest").addColumn("pk").primaryKey().schema().execute(db);

        db.toSelect("select Pk, Pk as Foo, Pk as \"Foo\" from dbtest").query(rs -> {
            assertArrayEquals(new String[]{"Pk", "Foo", "Foo"}, rs.getColumnLabels());
            return null;
        });
    }
}
