package org.xbib.jdbc.query.test.example;

import org.xbib.jdbc.query.Database;
import org.xbib.jdbc.query.DatabaseProvider;

/**
 * Demo of using some com.github.susom.database classes with Derby.
 */
public abstract class DerbyExample {

    void example(Database db, String[] args) {
        // For subclasses to override
    }

    void example(DatabaseProvider.Builder dbb, final String[] args) {
        dbb.transact(db -> {
            example(db.get(), args);
        });
    }

    public void println(String s) {
        System.out.println(s);
    }

    public final void launch(final String[] args) {
        try {
            System.setProperty("derby.stream.error.file", "java.lang.System.err");
            String url = "jdbc:derby:target/testdb;create=true";
            example(DatabaseProvider.fromDriverManager(url), args);
        } catch (Exception e) {
            e.printStackTrace();
            System.exit(1);
        }
    }
}
